(function(DV){
    "use strict";
    const D = DV.dom;
    
    DV.App.init = function(){
        const ds = document.body.dataset;
        const klass = DV[ds.cardClass];
        this.setupFanwareCardPage(ds.appId,klass);
        this.message("Loading test deck from db...");
        const app = this;
        this.ajax.getDecks(klass.dbCardType, true, function(decks){
            const ipos = document.querySelector('#js-cards'), iparent = ipos.parentNode;
            var cardCount = 0;
            decks.forEach(function(d){
                const h = D.append(D.h(1), d.name);
                iparent.insertBefore(h, ipos);
                if(d.cards && d.cards.length){
                    cardCount += d.cards.length;
                    app.injectCards(ipos,klass,d.cards);
                }else{
                    D.addClass(h, 'dv-no-print');
                    iparent.insertBefore(
                        D.append(D.addClass(D.p(),'dv-no-print'),
                                 "Deck is empty."),
                        ipos
                    );
                }
            });
            app.installDoubleClickRemove()
                .message("Loaded",decks.length,"decks(s) with",cardCount,"card(s).")
                .appendToHeader(D.append(
                    D.addClass(D.p(), 'achtung'),
                    "This is a test/demo page for reading from the remote db, not intended for end users."
                ));
        });
    };
    
    DV.App.init();
})(window.DarkVenture);
