This directory contains stuff intended to be hosted via the Fossil
SCM's "ext" feature. The `.dv.d` dir starts with a period because/so
that fossil/ext will not serve those files directly. That allows us to
host all of the related bits in a single dir tree without risk of web
clients accessing them directly with a browser.

Start up fossil like:

```
fossil ui --extroot /path/to/this/dir
```

Or, when running it via CGI, add this option to its CGI script:

```
extroot: /path/to/this/dir
```

However, these CGI bits require a working installation of s2cgi:

- <https://fossil.wanderinghorse.net/r/s2cgi>

which, in turn, requires a working installation of s2:

- <https://fossil.wanderinghorse.net/r/cwal/wiki/s2>

including various loadable modules (all included in that source tree).

Installation of those bits is documented at:

- <https://fossil.wanderinghorse.net/r/cwal/wiki/install>

*After* installation of cwal, s2, and s2cgi, this tree needs to be
tweaked a tiny bit:

- `dv-api.cgi`: edit it to ensure that it can find the `S2_HOME`
  directory. See the first non-comment code in that file for how that
  is done. If the installation uses the recommended directory of
  `~/s2` then no changes should be necessary.
  
- `.dv.d/db/*.sqlite3` database files need to be created (if they don't
  already exist):\  
  ```
  cd .dv.d/db
  make
  ``` \  
  will do the trick, noting that the databases will be empty. Those
  files need to be writable by the same user account which runs the
  fossil process, which may vary depending on whether fossil is
  running as a standalone server or as a CGI under another web server.

